[Numpy-discussion] numpy1.4 dtype issues: scipy.stats & pytables

denis denis-bz-py@t-online...
Mon Jan 11 10:56:55 CST 2010


Only 2 of the 21 top-level subpackages draw that warning
with numpy-1.4.0-py2.6-python.org.dmg
scipy-0.7.1-py2.6-python.org.dmg
on my mac 10.4 ppc, python 2.6.4:

try:
     import scipy.cluster
except ValueError, e:
     print "scipy.cluster error", e
try:
     import scipy.constants
except ValueError, e:
     print "scipy.constants error", e
...

scipy.cluster error numpy.dtype does not appear to be the correct type object
.../linsolve/__init__.py:4: DeprecationWarning: scipy.linsolve has moved to scipy.sparse.linalg.dsolve
   warn('scipy.linsolve has moved to scipy.sparse.linalg.dsolve', DeprecationWarning)
scipy.stats error numpy.dtype does not appear to be the correct type object

cheers
   -- denis



More information about the NumPy-Discussion mailing list